<template>
  <el-input
    :placeholder="placeholder"
    class="PwInput"
    :type="[flag ? 'text' : 'password']"
    v-model="inputVal"
    @input="input"
    autocomplete="off"
  >
    <i slot="prefix" class="iconfont" v-if="showPreIcon">&#xe608;</i>

    <i
      slot="suffix"
      class="iconfont showPass"
      autocomplete="auto"
      @click="flag = !flag"
    >
      {{ flag ? "&#xe60a;" : "&#xe609;" }}
    </i>
  </el-input>
</template>

<script>
export default {
  props: {
    value: {},
    showPreIcon: {},
    placeholder: {
      default: "请输入密码",
    },
  },
  data() {
    return {
      flag: false,
      inputVal: this.value,
    };
  },
  methods: {
    input() {
      this.$emit("input", this.inputVal);
    },
  },
  watch: {
    value(val) {
      this.inputVal = val;
    },
  },
};
</script>

<style lang="scss" >
.PwInput {
  .showPass {
    margin-top: 8px;
    font-size: 24px;
    cursor: pointer;
  }
}
</style>